Install v7 instead of v8

Hello,

I want to install v7 instead of v8 but can’t install. Can anyone please help me to install v7.

Thanks

Hello @Davinder_Kumar,

Install version 8
then:

cd ~/frappe-bench/apps/frappe
git reset --hard v7
cd ~/frappe-bench/apps/erpnext
git reset --hard v7

Error
fatal: ambiguous argument 'v7': unknown revision or path not in the working tree. Use '--' to separate paths from revisions, like this: 'git <command> [<revision>...] -- [<file>...]'

# This will destroy any local modifications.
# Don't do it if you have uncommitted work you want to keep.
cd ~/frappe-bench/apps/frappe
git reset --hard df1347d5f10bc169d241d46a75bf6041b5febe12
cd ~/frappe-bench/apps/erpnext
git reset --hard d00218ece3b74b2a0cf3f79ab396eb13944c1da5

# Alternatively, if there's work to keep:
cd ~/frappe-bench/apps/frappe
git stash
git reset --hard df1347d5f10bc169d241d46a75bf6041b5febe12
git stash pop

cd ~/frappe-bench/apps/erpnext
git stash
git reset --hard d00218ece3b74b2a0cf3f79ab396eb13944c1da5
git stash pop
# This saves the modifications, then reapplies that patch after resetting.
# You could get merge conflicts, if you've modified things which were
# changed since the commit you reset to.

Then run

~/frappe-bench$ bench version

I think erpnext switched to v7 version but now it showing this error
NameError: global name 'hashlib' is not defined

When you do what?

I used git reset --hard d00218ece3b74b2a0cf3f79ab396eb13944c1da5 and second one, after that i run bench update which also went well.
After that creating new site throwing this error.
bench new-site test

I think “df1347d5f10bc169d241d46a75bf6041b5febe12” relates to very old version. I think need to pick up last commit of erpnext’s commit

But dont’t have idea so did you search that.


Running bench update will update to v8… so don’t do that.
Run bench version

Hi,

I run this one for getting v7 of frappe and it works fine.

cd ~/frappe-bench/apps/frappe
git reset --hard df1347d5f10bc169d241d46a75bf6041b5febe12

When I run this one for ERPNext I get an error.

cd ~/frappe-bench/apps/erpnext
git reset --hard d00218ece3b74b2a0cf3f79ab396eb13944c1da5

The error I’m having is this one:
fatal: Could not parse object 'd00218ece3b74b2a0cf3f79ab396eb13944c1da5'.

After I run the previous git command, now when I run “bench version”, the versions of frappe and ERPNext I have are:

erpnext 8.0.8
frappe 7.2.31

Because of the error, it is no possible to have ERPNext to v7.

Can you help me please?

Thanks in advanced

this is mainly ‘looking for trouble’ I think.

the energy and time you and everybody else involved where would be soend much better on solving other problemsets I believe